# LTE Modem

Please Note: **THIS IS AN UNSUPPORTED CONFIG**. We are providing notes for others who may need/want LTE setups but you will need to do your own testing and stability tuning.

The below assumes [ting](https://ting.com) as the carrier. You'll need to hunt down your own carriers settings.

## Hardware

Hardware we have used / tested in the past.

* [GNSS, GLONASS, Galileo, Beidou Antenna](https://www.mouser.com/ProductDetail/673-GPSMOD1333)
* [LTE Antenna](https://www.mouser.com/ProductDetail/PulseLarsen-Antennas/W3929B0100?qs=%2Fha2pyFadui0F6I35f4CdWnof9NzfgKZj9Yqo8uf8nJdopXYV%252Bi3sw%3D%3D)
* [Quectel EC25](https://www.quectel.com/product/ec25minipcie.htm)
* [Quectel BG95-M3](https://www.quectel.com/product/bg95minipcIe.htm)
* [sixfab Raspberry Pi LTE Base Hat](https://sixfab.com/product/raspberry-pi-base-hat-3g-4g-lte-minipcie-cards/)

## Setup / Configuration

``` sh

apt update
apt install -y modemmanager
mmcli -S
mmcli -L
mmcli -m 0 # Note the IMEI number (needed for ting activation)
mmcli -i 0 # Note the iccid (needed for ting activation)
mmcli -m 0 -e

# Additional reference : https://help.ting.com/hc/en-us/articles/205428698-GSM-Android-APN-setup-guide

nmcli c add con-name "ting" type gsm ifname "*" apn "wholesale"
nmcli c mod ting connection.autoconnect yes


mmcli -m 0 --location-status
mmcli -m 0 --location-enable-3gpp
mmcli -m 0 --location-enable-gps-nmea
mmcli -m 0 --location-get

apt install libqmi-utils
qmicli -d /dev/cdc-wdm0 -p --nas-get-rf-band-info
qmicli -d /dev/cdc-wdm0 -p --nas-get-system-selection-preference
qmicli -d /dev/cdc-wdm0 -p --nas-get-serving-system
qmicli -d /dev/cdc-wdm0 -p --nas-get-system-info
qmicli -d /dev/cdc-wdm0 -p --nas-get-technology-preference
qmicli -d /dev/cdc-wdm0 -p --nas-get-signal-info
qmicli -d /dev/cdc-wdm0 -p --nas-get-home-network
qmicli -d /dev/cdc-wdm0 -p --nas-get-system-info

```
